TypeScript
import { Configuration, WebhooksApi } from "@zippendo/sdk"
const api = new WebhooksApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.testOrgWebhook({ orgId: "...", webhookId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.WebhooksApi(client).test_org_webhook("...", "...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\WebhooksApi(new GuzzleHttp\Client(), $config);
$result = $api->testOrgWebhook("...", "...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.WebhooksAPI.TestOrgWebhook(ctx, "...", "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::WebhooksApi.new.test_org_webhook("...", "...")curl --request POST \
--url https://api.zippendo.com/orgs/{orgId}/webhooks/{webhookId}/test \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/webhooks/{webhookId}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.zippendo.com/orgs/{orgId}/webhooks/{webhookId}/test")
.header("Authorization", "Bearer <token>")
.asString();{
"message": "Test event sent"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Webhooks
Test webhook
Send a test ping event to the webhook endpoint to verify connectivity.
POST
/
orgs
/
{orgId}
/
webhooks
/
{webhookId}
/
test
TypeScript
import { Configuration, WebhooksApi } from "@zippendo/sdk"
const api = new WebhooksApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.testOrgWebhook({ orgId: "...", webhookId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.WebhooksApi(client).test_org_webhook("...", "...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\WebhooksApi(new GuzzleHttp\Client(), $config);
$result = $api->testOrgWebhook("...", "...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.WebhooksAPI.TestOrgWebhook(ctx, "...", "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::WebhooksApi.new.test_org_webhook("...", "...")curl --request POST \
--url https://api.zippendo.com/orgs/{orgId}/webhooks/{webhookId}/test \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/webhooks/{webhookId}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.zippendo.com/orgs/{orgId}/webhooks/{webhookId}/test")
.header("Authorization", "Bearer <token>")
.asString();{
"message": "Test event sent"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Authorizations
JWT access token or API token (prefixed with zipp_)
Path Parameters
Organization ID
Example:
"org_clx1a2b3c4"
Webhook ID
Example:
"wh_clx1a2b3c4"
Response
Default Response
Result message
Example:
"Test event sent"
Was this page helpful?
⌘I